PRAGMA foreign_keys = OFF;

-- ----------------------------
-- Table structure for GameInfo
-- ----------------------------
DROP TABLE IF EXISTS "main"."GameInfo";
CREATE TABLE "GameInfo" (
"gameid"  INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
"web_game_id"  INTEGER,
"start_time"  TEXT,
"stage"  INTEGER,
"round"  INTEGER,
"redteam_id"  INTEGER,
"redteam_name"  TEXT,
"redteam_draw"  TEXT,
"redteam_emblem"  TEXT,
"redteam_college_name"  TEXT,
"redteam_college_logo"  TEXT,
"redteam_score"  INTEGER,
"blueteam_id"  INTEGER,
"blueteam_name"  TEXT,
"blueteam_draw"  TEXT,
"blueteam_emblem"  TEXT,
"blueteam_college_name"  TEXT,
"blueteam_college_logo"  TEXT,
"blueteam_scrore"  INTEGER,
"winner_team"  INTEGER,
"win_reason"  TEXT,
"game_duration"  TEXT
);

-- ----------------------------
-- Table structure for HpChange
-- ----------------------------
DROP TABLE IF EXISTS "main"."HpChange";
CREATE TABLE "HpChange" (
"gameid"  INTEGER NOT NULL,
"hpchange_id"  INTEGER NOT NULL,
"robot_id"  INTEGER,
"current_time"  TEXT,
"current_hp"  INTEGER,
"hpchange_type"  INTEGER,
"hpchange_from"  INTEGER,
"hpchange_value"  INTEGER,
PRIMARY KEY ("gameid" ASC, "hpchange_id")
);

-- ----------------------------
-- Table structure for Punishment
-- ----------------------------
DROP TABLE IF EXISTS "main"."Punishment";
CREATE TABLE "Punishment" (
"game_id"  INTEGER NOT NULL,
"punish_id"  INTEGER NOT NULL,
"punish_time"  TEXT NOT NULL,
"punish_type"  INTEGER NOT NULL,
"team_id"  INTEGER NOT NULL,
"robot_id"  INTEGER NOT NULL,
PRIMARY KEY ("game_id" ASC, "punish_id")
);

-- ----------------------------
-- Table structure for RobotStatus
-- ----------------------------
DROP TABLE IF EXISTS "main"."RobotStatus";
CREATE TABLE "RobotStatus" (
"gameid"  INTEGER NOT NULL,
"status_id"  INTEGER NOT NULL,
"current_time"  TEXT,
"robot_id"  INTEGER,
"x"  REAL,
"y"  REAL,
"z"  REAL,
"compass"  REAL,
"power"  REAL,
"small_shooter_heat"  TEXT,
"big_shooter_heat"  TEXT,
PRIMARY KEY ("gameid" ASC, "status_id")
);


-- ----------------------------
-- Table structure for WeaponFire
-- ----------------------------
DROP TABLE IF EXISTS "main"."WeaponFire";
CREATE TABLE "WeaponFire" (
"gameid"  INTEGER NOT NULL,
"weaponfire_id"  INTEGER NOT NULL,
"robo_tid"  INTEGER NOT NULL,
"local_time"  TEXT NOT NULL,
"server_time"  TEXT NOT NULL,
"bullet_type"  TEXT NOT NULL,
"speed"  REAL NOT NULL,
"gunYaw"  REAL NOT NULL,
PRIMARY KEY ("gameid" ASC, "weaponfire_id")
);
